=== debian/changelog ===
fzf (0.17.5-2) unstable; urgency=medium

  * Autopkgtest: replace needs-root with isolation-container.
  * Update README.Debian, adding a usage hint for fzf.vim .
  * Symlink examples/plugin/fzf.vim -> ../fzf.vim (Closes: #918688)
  * Add the missing ${shlibs:Depends} to Depends.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 08 Jan 2019 14:51:27 +0000

fzf (0.17.5-1) unstable; urgency=medium

  * New upstream version 0.17.5
  * autopkgtest: skip fuzzy match test when /dev/tty is not accessible.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 25 Oct 2018 07:23:21 +0000

fzf (0.17.4-3) unstable; urgency=medium

  * Add needs-root Restriction to autopkgtest control file.
  * Transfer packaging repo to Salsa/Debain group.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 14 Sep 2018 05:49:05 +0000

fzf (0.17.4-2) unstable; urgency=medium

  * Fix Vcs-* fields that point to the wrong location.
  * Move usage instruction from long description to README.Debian
    (Closes: #908122)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 07 Sep 2018 08:18:26 +0000

fzf (0.17.4-1) unstable; urgency=medium

  * Initial release. (Closes: #783307) (LP: #1724565)
    Based on Tom Fitzhenry <tom@tom-fitzhenry.me.uk>'s initial work.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 30 Aug 2018 12:55:19 +0000
