=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/fzf
Vcs-Git: https://salsa.debian.org/debian/fzf.git
Maintainer: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>= 11~),
               bash-completion,
               dh-golang,
               dh-exec,
               golang-golang-x-crypto-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-go (>= 1.5)
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.
