=== debian/changelog ===
fzf (0.18.0-1) experimental; urgency=medium

  * New upstream version 0.18.0

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 02 Apr 2019 07:13:56 +0000
