=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/fzf
 Vcs-Git: https://salsa.debian.org/debian/fzf.git
 Maintainer: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                bash-completion,
                dh-golang,
                dh-exec,
