=== debian/changelog ===
fzf (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Dec 2019 16:38:27 +0800

fzf (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 23 Nov 2019 21:37:05 +0800

fzf (0.18.0-3) unstable; urgency=medium

  * Amend the wrong path of shell scripts for fuzzy auto-completion.
    ATM deprecate fish_user_key_bindings.fish and update instructions in
    README.Debian accordingly. (Closes: #928392)
  * No longer use the bash-completion dh plugin.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 28 Aug 2019 06:06:23 +0000

fzf (0.18.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 08 Jul 2019 06:13:24 +0000
