=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Vcs-Git: https://salsa.debian.org/debian/fzf.git
 Maintainer: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper-compat (= 11),
-               bash-completion,
                dh-golang,
                dh-exec,
                golang-golang-x-crypto-dev,
