=== debian/rules ===
#!/usr/bin/make -f
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ -Sgolang --with=golang

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim
