=== debian/tests/control ===
Tests: basic
Depends: @, shunit2
Restrictions: isolation-container,

Test-Command: fzf --version
Depends: @
