=== debian/changelog ===
fzf (0.24.3-1) unstable; urgency=medium

  [ Jai Flack ]
  * Fix package source links in d/control

  [ Mo Zhou ]
  * New upstream version 0.24.3
  * Update my own mail address in d/control and d/copyright.
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 18:22:27 +0800

fzf (0.24.2-1) unstable; urgency=medium

  * New upstream version 0.24.2. (Closes: #969720)
  * Add d/upstream/metadata.
  * Add Upstream-Contact to d/copyright.
  * Update debhelper-compat version.
  * Fix test-suite. (Closes: #969829)
  * Fix inclusion of source code in binary. (Closes: #956943)
  * New uploader. (Closes: #970269)
  * Move maitenence to Debian Go team.

 -- Jai Flack <jflack@disroot.org>  Wed, 04 Nov 2020 17:03:44 +1000
