=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>, Jai Flack <jflack@disroot.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-saracen-walker-dev,
               golang-go (>= 1.5),
               golang-golang-x-crypto-dev
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.
