=== debian/changelog ===
fzf (0.29.0-1) unstable; urgency=medium

  [ Jai Flack ]
  * Bump Standards-Version to 4.5.1
  * Install bash completions by default (Closes: #973570)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Mo Zhou ]
  * New upstream version 0.29.0
  * Comment in README.Debian that bash completion is installed by default.

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Jan 2022 11:30:28 -0500
