=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -11,6 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
+	       golang-github-rivo-uniseg-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-mattn-go-shellwords-dev,
