=== debian/rules ===
#!/usr/bin/make -f
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim
