=== debian/changelog ===
fzf (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1

 -- Mo Zhou <lumin@debian.org>  Tue, 16 Aug 2022 16:07:52 -0400

fzf (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0

 -- Mo Zhou <lumin@debian.org>  Tue, 02 Aug 2022 21:10:51 -0700

fzf (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0

 -- Mo Zhou <lumin@debian.org>  Fri, 22 Jul 2022 08:52:24 -0700

fzf (0.30.0-1) unstable; urgency=medium

  * New upstream version 0.30.0
  * Add missing B-D golang-golang-x-term-dev. (Closes: #1009109)
  * Address typo in upstream/metadata.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 22:47:54 -0400
