=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
-	       golang-github-rivo-uniseg-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-mattn-go-shellwords-dev,
+               golang-github-rivo-uniseg-dev,
                golang-github-saracen-walker-dev,
                golang-go (>= 1.5),
-               golang-golang-x-crypto-dev
+               golang-golang-x-crypto-dev,
+               golang-golang-x-term-dev
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/junegunn/fzf
