## fzf 0.34.0

=== debian/changelog ===
fzf (0.34.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Mo Zhou ]
  * New upstream version 0.34.0

 -- Mo Zhou <lumin@debian.org>  Fri, 30 Sep 2022 15:00:53 -0400

fzf (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0

 -- Mo Zhou <lumin@debian.org>  Wed, 31 Aug 2022 21:13:07 -0400
