## fzf 0.35.1

=== debian/changelog ===
fzf (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1

 -- Mo Zhou <lumin@debian.org>  Wed, 30 Nov 2022 12:15:58 -0500

fzf (0.35.0-1) unstable; urgency=medium

  * New upstream version 0.35.0

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Nov 2022 09:34:47 -0500
