## fzf 0.38.0

=== Makefile ===
--- 
+++ 
@@ -155,6 +155,7 @@
 	GOARCH=loong64 $(GO) build $(BUILD_FLAGS) -o $@
 
 bin/fzf: target/$(BINARY) | bin
+	-rm -f bin/fzf
 	cp -f target/$(BINARY) bin/fzf
 
 docker:
