=== debian/changelog ===
fzf (0.38.0-1) unstable; urgency=medium

  * New upstream version 0.38.0
  * Set FZF build version (Closes: #1015258)

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 15:54:18 -0500

fzf (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Feb 2023 13:43:17 -0500
