=== debian/changelog ===
fzf (0.42.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:27:01 +0530

fzf (0.42.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:01 +1200

fzf (0.42.0-1) unstable; urgency=medium

  * New upstream version 0.42.0

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 18:16:24 -0700
