=== debian/changelog ===
fzf (0.44.1-1) unstable; urgency=medium

  * New upstream version 0.44.1
  * Fix source build after successful build (Closes: #1044974)

 -- Mo Zhou <lumin@debian.org>  Fri, 24 Nov 2023 00:24:54 -0500
