=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-mattn-go-shellwords-dev,
                golang-github-rivo-uniseg-dev,
                golang-github-saracen-walker-dev,
-               golang-go (>= 1.5),
+               golang-go,
                golang-golang-x-crypto-dev,
                golang-golang-x-term-dev
 Rules-Requires-Root: no
