=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 # we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
 execute_before_dh_auto_configure:
+	cp main.go main.go.bak
 	sed -e "s@var version string = \"[0-9.]*\"@var version string = \"$(DEB_VERSION_UPSTREAM)\"@" -i main.go
 	sed -e "s@var revision string = \"devel\"@var revision string = \"debian\"@" -i main.go
 
@@ -17,3 +18,7 @@
 
 override_dh_compress:
 	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim
+
+override_dh_auto_clean:
+	-mv main.go.bak main.go
+	dh_auto_clean
