## fzf 0.46.1

=== debian/changelog ===
fzf (0.46.1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 14:35:23 +1000

fzf (0.46.1-1) unstable; urgency=medium

  * New upstream version 0.46.1

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Apr 2024 13:56:35 -0400
