=== debian/changelog ===
fzf (0.55.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.55.0 (Closes: #1079976)
    Thanks to Vincent Blut for the MR to update this!
  * Update standards version to 4.7.0

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 16 Sep 2024 11:03:38 -0500
