## fzf 0.57.0

=== debian/changelog ===
fzf (0.57.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream release 0.57.0

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 18 Dec 2024 18:08:24 +0100

fzf (0.56.3-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.56.3

 -- Mo Zhou <lumin@debian.org>  Wed, 04 Dec 2024 23:30:27 -0500
