## fzf 0.58.0

=== debian/changelog ===
fzf (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0

 -- Mo Zhou <lumin@debian.org>  Mon, 20 Jan 2025 22:25:05 -0500
