## fzf 0.60.0

=== debian/changelog ===
fzf (0.60.0-1) unstable; urgency=medium

  * New upstream version 0.60.0
  * Install upstream README{,-VIM} files as docs.
  * README.Debian: update configuration instructions. (Closes: #1013356)
  * Move completion.bash back to examples directory. (See: #1013356)

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Feb 2025 23:12:57 -0500
