## fzf 0.60.2

=== debian/changelog ===
fzf (0.60.2-1) unstable; urgency=medium

  * New upstream version 0.60.2

 -- Mo Zhou <lumin@debian.org>  Tue, 25 Feb 2025 12:02:53 -0500

fzf (0.60.1-1) unstable; urgency=medium

  * New upstream version 0.60.1

 -- Mo Zhou <lumin@debian.org>  Thu, 20 Feb 2025 23:53:07 -0500
