## fzf 0.60.3

=== debian/changelog ===
fzf (0.60.3-1) unstable; urgency=medium

  * New upstream version 0.60.3

 -- Mo Zhou <lumin@debian.org>  Wed, 05 Mar 2025 10:45:33 -0500
