=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -11,13 +11,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
+               golang-github-charlievieth-fastwalk-dev,
+               golang-github-gdamore-tcell.v2-dev,
+               golang-github-junegunn-go-shellwords-dev,
                golang-github-mattn-go-isatty-dev,
-               golang-github-mattn-go-runewidth-dev,
-               golang-github-mattn-go-shellwords-dev,
                golang-github-rivo-uniseg-dev,
-               golang-github-saracen-walker-dev,
                golang-go,
-               golang-golang-x-crypto-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-term-dev
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/junegunn/fzf
