=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 export DH_GOPKG := github.com/junegunn/fzf
+export DH_GOLANG_INSTALL_EXTRA := man/man1 shell
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
