## fzf 0.64.0

=== debian/changelog ===
fzf (0.64.0-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Team upload
  * New upstream version 0.64.0
  * Bump Standards-Version to 4.7.2
  * Fix FZF version/revision information (Closes: #1108769)
  * Drop DH_GOPKG from d/rules, dh-golang sets it to the value from
    XS-Go-Import-Path
  * Update d/gitlab-ci.yml to run Salsa CI

 -- Otto Kekäläinen <otto@debian.org>  Mon, 14 Jul 2025 19:25:59 +0200
