=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>, Jai Flack <jflack@disroot.org>
+Uploaders: Mo Zhou <lumin@debian.org>, Otto Kekäläinen <otto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
