## fzf 0.65.1

=== debian/changelog ===
fzf (0.65.1-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.65.1

  [ Otto Kekäläinen ]
  * Fix various issues detected by Lintian
  * Format d/copyright the same way dh-make-golang does
  * Use 'Static-Built-Using' as Go binaries should
  * Put build artifacts in debian/.build/upstream
  * Start using vanilla salsa-ci.yml and keep gitlab-ci.yml for compatibility
  * Add a gbp.conf to document this package's git-buildpackage conventions

 -- Otto Kekäläinen <otto@debian.org>  Fri, 19 Sep 2025 00:11:10 -0700
