=== debian/changelog ===
fzf (0.66.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream release 0.66.0
  * Update d/watch to version 5
  * Add new superficial autopkgtest

 -- Otto Kekäläinen <otto@debian.org>  Wed, 15 Oct 2025 21:38:26 -0700
