=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Mo Zhou <lumin@debian.org>,
 Otto Kekäläinen <otto@debian.org>,
 Vincent Blut <vincent.debian@free.fr>,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-golang,
 golang-github-charlievieth-fastwalk-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-junegunn-go-shellwords-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-rivo-uniseg-dev,
 golang-go,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.
