=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_GOLANG_INSTALL_EXTRA := man/man1 shell
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang --with=golang
 
 # we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
 execute_before_dh_auto_configure:
