## fzf 0.67.0

=== debian/changelog ===
fzf (0.67.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.67.0
  * Update the list of fields in d/upstream/metadata

 -- Otto Kekäläinen <otto@debian.org>  Fri, 21 Nov 2025 21:25:06 -0800
