=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,4 @@
 Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
 Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
 Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
-Searchmode: plain
+Search-Mode: plain
