## fzf 0.70.0

=== debian/changelog ===
fzf (0.70.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.68.0
  * Remove obsolete 'Priority: optional'
  * Bump Standards-Version to 4.7.3
  * Use debputy's X-Style: black
  * Put build artifacts in debian/_build

  [ Otto Kekäläinen ]
  * New upstream release 0.70.0
  * Update copyright years for recent contributors
  * Update git repository layout to follow DEP-14
  * Start importing git history in addition to official upstream tarball

 -- Otto Kekäläinen <otto@debian.org>  Wed, 04 Mar 2026 13:09:41 +0000
