=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fzf
 Section: utils
 Homepage: https://github.com/junegunn/fzf
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -24,6 +23,7 @@
  golang-golang-x-sys-dev,
  golang-golang-x-term-dev,
 XS-Go-Import-Path: github.com/junegunn/fzf
+X-Style: black
 
 Package: fzf
 Architecture: any
