=== debian/tests/control ===
# Check that 'fzf --version' always prints the expected value to prevent
# the resurgence of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108769
Features:
 test-name=fzf_--version_command_check,
Test-Command: [ "$(dpkg-query -f='${source:Upstream-Version}' -W fzf | sed 's/$/ \(debian\)/')" = "$(fzf --version)" ]
Restrictions:
 superficial,
